Skip to main content
GET
/
cases
/
{case_id}
/
bank-accounts
/
{account_id}
/
balance-history
Get balance history
curl --request GET \
  --url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/balance-history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "date": "2025-09-30",
      "balance": 15230.5,
      "available_balance": 14980.25
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

case_id
string
required

Unique case identifier (ULID format).

account_id
string
required

Query Parameters

date_from
string<date>

Start date (inclusive).

date_to
string<date>

End date (inclusive).

interval
enum<string>
default:monthly

Granularity of snapshots.

Available options:
daily,
weekly,
monthly

Response

Balance history.

data
object[]